%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name fasteners

Name:           python-%{pypi_name}
Version:        0.14.1
Release:        6%{?dist}
Summary:        A python package that provides useful locks

License:        ASL 2.0
URL:            https://github.com/harlowja/fasteners
Source0:        https://codeload.github.com/harlowja/fasteners/tar.gz/%{version}#/%{pypi_name}-%{version}.tar.gz
Patch0:         fasteners-monotonic.patch
BuildArch:      noarch


%description
A python package that provides useful locks.


%package -n python2-%{pypi_name}
Summary:        A python package that provides useful locks
Obsoletes:      python-%{pypi_name} < 0.13.0-3
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-devel
BuildRequires:  python-six
# tests
BuildRequires:  python-testtools
BuildRequires:  python-nose
BuildRequires:  python-monotonic
BuildRequires:  python-futures
Requires:       python-six
Requires:       python-monotonic

%description -n python2-%{pypi_name}
A python package that provides useful locks.


%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        A python package that provides useful locks
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-six
BuildRequires:  python3-devel
# tests
BuildRequires:  python3-testtools
BuildRequires:  python3-nose

Requires:       python3-six

%description -n python3-%{pypi_name}
A python package that provides useful locks.

%endif



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif # with_python3

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif # with_python3

%check
nosetests-%{python2_version}

%if 0%{?with_python3}
nosetests-%{python3_version}
%endif # with_python3

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python_version}.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%endif # with_python3


%changelog
* Mon Aug 29 2016 Matthias Runge <mrunge@redhat.com> - 0.14.1-6
- Use time.monotonic if available (Python3 > 3.2)
  patch thanks to Ville Skyttä (rhbz#1294335)
- modernize spec

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 16 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.14.1-4
- Spec cleanups

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 18 2015 Matthias Runge <mrunge@redhat.com> - 0.14.1-2
- update to 0.14.1 (rhbz#1281772)
- fix python_provide

* Mon Nov 16 2015 Matthias Runge <mrunge@redhat.com> - 0.13.0-3
- Fix build

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Aug 28 2015 Matthias Runge <mrunge@redhat.com> - 0.13.0-1
- update to 0.13.0 (rhbz#1256153)

* Mon Jun 22 2015 Matthias Runge <mrunge@redhat.com> - 0.12.0-1
- update to 0.12.0 (rhbz#1234253)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Matthias Runge <mrunge@redhat.com> - 0.9.0-2
- switch to github sourcecode, license included
- add tests, fix conditionals for python3

* Thu Jun 11 2015 Matthias Runge <mrunge@redhat.com> - 0.9.0-1
- Initial package. (rhbz#1230548)
